# junos_lacp – Manage Global Link Aggregation Control Protocol (LACP) on Juniper Junos devices

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of global LACP on Juniper Junos network devices.

## Requirements

The below requirements are needed on the host that executes this module.

- ncclient (>=v0.6.4)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
config dictionary |  | A dictionary of LACP global options

link_protection
string

Choices:
- revertive
- non-revertive

Enable LACP link-protection for the system. If the value is set to `non-revertive` it will not revert links when a better priority link comes up. By default the link will be reverted.

| system_priority integer |  | LACP priority for the system.

state
string

Choices:
- merged ←
- replaced
- deleted

The state of the configuration after module completion

## Notes

Note

- This module requires the netconf system service be enabled on the remote device being managed.
- Tested against vSRX JUNOS version 18.1R1.
- This module works with connection `netconf`. See the Junos OS Platform Options.

## Examples

    # Using deleted

    # Before state:
    # -------------
    # user@junos01# show chassis aggregated-devices ethernet lacp
    # system-priority 63;
    # link-protection {
    #    non-revertive;
    # }

    - name: Delete global LACP attributes
      junos_lacp:
        state: deleted

    # After state:
    # ------------
    # user@junos01# show chassis aggregated-devices ethernet lacp
    #

    # Using merged

    # Before state:
    # -------------
    # user@junos01# show chassis aggregated-devices ethernet lacp
    #

    - name: Merge global LACP attributes
      junos_lacp:
        config:
          system_priority: 63
          link_protection: revertive
        state: merged

    # After state:
    # ------------
    # user@junos01# show chassis aggregated-devices ethernet lacp
    # system-priority 63;
    # link-protection {
    #    non-revertive;
    # }

    # Using replaced

    # Before state:
    # -------------
    # user@junos01# show chassis aggregated-devices ethernet lacp
    # system-priority 63;
    # link-protection {
    #    non-revertive;
    # }

    - name: Replace global LACP attributes
      junos_lacp:
        config:
          system_priority: 30
          link_protection: non-revertive
        state: replaced

    # After state:
    # ------------
    # user@junos01# show chassis aggregated-devices ethernet lacp
    # system-priority 30;
    # link-protection;

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
after dictionary | when changed | The configuration as structured data after module completion. Sample: The configuration returned will always be in the same format of the parameters above.
before dictionary | always | The configuration as structured data prior to module invocation. Sample: The configuration returned will always be in the same format of the parameters above.
xml list | always | The set of xml rpc payload pushed to the remote device. Sample: ['xml 1', 'xml 2', 'xml 3']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Ganesh Nalawade (@ganeshrn)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.